gitlab_roles:
- postgres_role

gitlab_rb:
  repmgr:
    enable: true
  gitlab_rails:
    auto_migrate: false
  postgresql:
    hot_standby: on
    wal_level: replica
    shared_preload_libraries: repmgr_funcs
    max_wal_senders: 4
  consul:
    services:
    - postgresql

max_replication_slots: "{{ repmgr_trust_auth_cidr_addresses | default({}) | length }}"
